FROM registry:latest

RUN apk add --no-cache easy-rsa bash curl openssl

COPY scripts/runtime.sh /runtime.sh

RUN chmod +x /runtime.sh

# Setup EasyRSA
COPY scripts/ssl.sh /usr/local/bin/ssl.sh

RUN chmod +x /usr/local/bin/ssl.sh

ENTRYPOINT [ "/runtime.sh" ]